Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agents.create_agent(name="release-research-agent", model="functionary-pt", description="Looks up current release information before answering.", instructions="Use web search when the question depends on current external information.", tools=[
{
"type": "web_search",
"search_context_size": "medium",
},
], tool_choice="auto", parallel_tool_calls=True)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agents.createAgent({
createAgentRequest: {
name: "release-research-agent",
description: "Looks up current release information before answering.",
model: "functionary-pt",
instructions: "Use web search when the question depends on current external information.",
tools: [
{
type: "web_search",
searchContextSize: "medium",
},
],
toolChoice: "auto",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Agents.CreateAgentAsync(body: new MeetKai.MKA1.Types.Components.CreateAgentRequest() {
Name = "release-research-agent",
Description = "Looks up current release information before answering.",
Model = "functionary-pt",
Instructions = "Use web search when the question depends on current external information.",
Tools = new List<ToolDefinitionUnion>() {
ToolDefinitionUnion.CreateToolDefinition1(
new ToolDefinition1() {
Type = ToolDefinitionType1.WebSearch,
SearchContextSize = ToolDefinitionSearchContextSize.Medium,
}
),
},
ToolChoice = JsonValue.CreateStr(
"auto"
),
});
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "release-research-agent",
"description": "Consulta la información sobre lanzamientos actuales antes de responder.",
"model": "functionary-pt",
"instructions": "Use web search when the question depends on current external information.",
"tools": [
{
"type": "web_search",
"search_context_size": "medium"
}
],
"tool_choice": "auto",
"parallel_tool_calls": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'release-research-agent',
description: 'Consulta la información sobre lanzamientos actuales antes de responder.',
model: 'functionary-pt',
instructions: 'Use web search when the question depends on current external information.',
tools: [{type: 'web_search', search_context_size: 'medium'}],
tool_choice: 'auto',
parallel_tool_calls: true
})
};
fetch('https://apigw.mka1.com/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "agent",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"model": "functionary-pt",
"instructions": "<string>",
"tools": [
{
"user_location": {
"type": "approximate",
"city": "<string>",
"country": "<string>",
"region": "<string>",
"timezone": "<string>"
},
"filters": {
"allowed_domains": [
"<string>"
]
}
}
],
"tool_choice": "<string>",
"parallel_tool_calls": true,
"max_tool_calls": 123,
"text": {
"format": {}
},
"reasoning": {},
"metadata": {},
"version": 2,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"details": "<string>"
}
}Agents
Crear un agente
POST
/
api
/
v1
/
agents
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agents.create_agent(name="release-research-agent", model="functionary-pt", description="Looks up current release information before answering.", instructions="Use web search when the question depends on current external information.", tools=[
{
"type": "web_search",
"search_context_size": "medium",
},
], tool_choice="auto", parallel_tool_calls=True)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agents.createAgent({
createAgentRequest: {
name: "release-research-agent",
description: "Looks up current release information before answering.",
model: "functionary-pt",
instructions: "Use web search when the question depends on current external information.",
tools: [
{
type: "web_search",
searchContextSize: "medium",
},
],
toolChoice: "auto",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Agents.CreateAgentAsync(body: new MeetKai.MKA1.Types.Components.CreateAgentRequest() {
Name = "release-research-agent",
Description = "Looks up current release information before answering.",
Model = "functionary-pt",
Instructions = "Use web search when the question depends on current external information.",
Tools = new List<ToolDefinitionUnion>() {
ToolDefinitionUnion.CreateToolDefinition1(
new ToolDefinition1() {
Type = ToolDefinitionType1.WebSearch,
SearchContextSize = ToolDefinitionSearchContextSize.Medium,
}
),
},
ToolChoice = JsonValue.CreateStr(
"auto"
),
});
// handle responseAutorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
Cuerpo
application/json
Required string length:
1 - 120Minimum string length:
1Ejemplo:
"functionary-pt"
Maximum string length:
2000Maximum string length:
20000- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Rango requerido:
1 <= x <= 300Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Respuesta
Agente creado.
Opciones disponibles:
agent Ejemplo:
"functionary-pt"
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Versión de configuración actual. Incrementada en cada actualización o retroceso.
Rango requerido:
x >= 1¿Esta página le ayudó?
⌘I